Skip to main content

コストセンターを無効にする

エンドポイント​

DELETE https://api.verifik.co/v2/cost-centers/{id}

コストセンターを無効にします。レコードは削除されません。active が false になり、利用履歴はそのまま残ります。新しいリクエストはこのセンターを使えません。

ヘッダー​

名前値
Content-Typeapplication/json
AuthorizationBearer <token>

パスパラメータ​

id​

型: string
必須: はい

無効にするコストセンターの id です。

リクエスト例​

curl -X DELETE "https://api.verifik.co/v2/cost-centers/6acfbdda92451bac5d0a7ebe" \
-H "Authorization: Bearer $VERIFIK_TOKEN"

レスポンス例​

{
"data": {
"_id": "6acfbdda92451bac5d0a7ebe",
"client": "69c2b824295cd7d276e478ad",
"name": "スペイン運用",
"code": "SPAIN-OPS",
"country": "ES",
"active": false,
"createdAt": "2026-10-14T17:37:30.469Z",
"updatedAt": "2026-10-14T18:05:44.010Z"
}
}

再び有効にするには コストセンターを更新する に active: true を送ります。

エラーレスポンス​

{
"message": "cost_center_not_found",
"code": "NotFound"
}